#!/usr/bin/env ruby
# -*- coding: utf-8 -*-


puts"計算をします"


  puts"何をしたいですか?"
  puts"1:足し算"
  puts"2:引き算"
  puts"3:掛け算"
  puts"4:割り算"
  puts"5:累乗"
  puts"6:乗余"
  
while true
  puts"行いたい計算を入力:"
   keisan = gets.chomp.to_i
  if keisan == 1
  puts"足し算をします"
  puts"数を入力して下さい"
  kazu = gets.to_i
  puts"足す数を入力:"
  tasu = gets.to_i
  x = tasu+kazu
  printf("%fです\n",x)
  break
  
  elsif keisan == 2

  puts"引き算をします"
  puts"数を入力して下さい"
  suji = gets.to_i
  puts"引く数を入力"
  hiku = gets.to_i
  a = suji-hiku
  printf("%fです\n",a)
  break
  
  elsif keisan == 3
  puts"掛け算をします"
  puts"数を入力をして下さい"
  suuji = gets.to_i
  puts"かける数を入力して下さい"
  kakeru = gets.to_i
  b = suuji*kakeru
  printf("%fです。\n",b)
  break

  elsif keisan == 4
  puts"割り算をします"
  puts"数を入力して下さい"
  kaazu = gets.to_i
  puts"割る数を入力してください"
  waru = gets.to_i
  y = kaazu/waru
  printf("%fです。\n",y)
  break
    
  elsif keisan == 5
  puts"累乗する数を入力してください"
  puts"数を入力:"
  ruijyou = gets.to_i
  puts"累乗を何回するかを入力して下さい"
  kaisuu = gets.to_i
  l = ruijyou**kaisuu
  printf("%fです。\n",l)
  break

  elsif keisan == 6
  puts"割った余りを計算します"
  puts"数を入力して下さい"
  watta = gets.to_i
  puts"数を入力"
  puts"割りたい数を入力して下さい"
  waritai = gets.to_i
  u = watta%waritai
  printf("%fです。\n",u)
  break
  
  else
    puts"その選択肢はありません"
    
    redo
  end
end
